Bug 948717 - When using “-vga qxl” together with “-display vnc=:5” or “-display sdl” qemu displays pixel garbage
When using “-vga qxl” together with “-display vnc=:5” or “-display sdl” qemu...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qemu (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fedora Virtualization Maintainers
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1005036 1005037
  Show dependency treegraph
 
Reported: 2013-04-05 04:10 EDT by Mike FABIAN
Modified: 2013-09-30 22:17 EDT (History)
15 users (show)

See Also:
Fixed In Version: qemu-1.6.0-8.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1005036 1005037 (view as bug list)
Environment:
Last Closed: 2013-09-29 20:39:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
qemu-1.4.0-from-virt-preview-2.png (111.87 KB, image/png)
2013-04-05 04:10 EDT, Mike FABIAN
no flags Details
screenshot showing severe display corruption with "-vga qxl" (636.90 KB, image/png)
2013-07-31 09:33 EDT, Steve Tyler
no flags Details

  None (edit)
Description Mike FABIAN 2013-04-05 04:10:29 EDT
Created attachment 731850 [details]
qemu-1.4.0-from-virt-preview-2.png

qemu-1.4.0-11.fc18.x86_64 from  https://fedoraproject.org/wiki/Virtualization_Preview_Repository

kernel-3.8.3-203.fc18.x86_64

qemu command line:

ionice -c 3 qemu-kvm -enable-kvm -m 2048M -smp 1 -drive file=./Fedora-19-Alpha-TC4-x86_64-netinst-test.iso.qcow2,index=0,media=disk,cache=unsafe -localtime -serial file:/tmp/qemu-Fedora-19-Alpha-TC4-x86_64-netinst-test.iso.qcow2-output.log -name Fedora-19-Alpha-TC4-x86_64-netinst-test.iso.qcow2 -cdrom /local/mfabian/iso/Fedora-19-Alpha-TC4/Fedora-19-Alpha-TC4-x86_64-netinst.iso -boot c -vga qxl -display vnc=:5 -net nic -net user,hostname=Fedora-19-Alpha-TC4-x86_64-netinst-test.iso.qcow2,hostfwd=tcp::5562-:22 -monitor stdio -usb

The above commandline has “-display vnc=:5”, the problem occurs
with “-display sdl” as well though.

The result is pixel garbage, see attached  screen shot.

When using “-vga std” or  “-vga cirrus” instead  of “-vga qxl” it works
fine, no pixel garbage.
Comment 1 Cole Robinson 2013-04-14 15:55:06 EDT
I can reproduce with upstream. Grab F19 boot.iso here:

https://dl.fedoraproject.org/pub/alt/stage/19-Alpha-TC6/Fedora/x86_64/os/images/boot.iso

And run:

./x86_64-softmmu/qemu-system-x86_64 -enable-kvm -vga qxl -display sdl -cdrom ~/boot.iso -m 2048

Doing -device qxl works fine though. I also tried an F16 live cd I had hanging around and that worked fine, so maybe it's an F19 driver issue.

Alon, Gerd, thoughts?
Comment 2 Cole Robinson 2013-05-27 19:01:01 EDT
Ping, any spice folks want to weigh in on this? Granted qxl->vnc shouldn't be a common setup, but people tend to try it out if hitting graphical issues and wanting to eliminate spice from the equation (for better or worse).
Comment 3 Steve Tyler 2013-07-31 09:33:52 EDT
Created attachment 781134 [details]
screenshot showing severe display corruption with "-vga qxl"

Confirming severe display corruption with the "-vga qxl" option.
With the "-vga std" option, there is no corruption.

By blindly clicking in the upper right corner, pressing the down-arrow four times, and pressing Enter twice, it is possible to power off the VM, if the corrupt display shows parts of the Welcome dialog.

Steps to reproduce:
$ qemu-kvm -m 4096 -cdrom ~/xfr/fedora/F19/Fedora-Live-Desktop-x86_64-19-1.iso -vga qxl

Version:
qemu-1.4.2-4.fc19.x86_64
kernel 3.10.3-300.fc19.x86_64
Comment 4 Jan Kratochvil 2013-08-19 14:36:29 EDT
qemu-system-x86-1.4.2-5.fc19.x86_64
tigervnc-1.3.0-3.fc19.x86_64
/usr/bin/qemu-kvm -m 2048 -cdrom Fedora-19-x86_64-DVD.iso -boot d -vnc :10 -vga qxl
Comment 5 Mike FABIAN 2013-08-31 02:07:40 EDT
The problem still exists with Fedora-20-Alpha-TC2-x86_64-netinst.iso
and qemu-1.6.0-5.fc19.x86_64
Comment 6 Gerd Hoffmann 2013-09-06 01:22:56 EDT
http://patchwork.ozlabs.org/patch/273057/
Comment 7 Cole Robinson 2013-09-08 13:43:37 EDT
Thanks Gerd!
Comment 8 zhonglinzhang 2013-09-13 04:18:36 EDT
Can not reproduce this issue:

First:
host kernel: 2.6.32-417.el6.x86_64
qemu-kvm-0.12.1.2-2.400.el6.x86_64

Command line as follows:
ionice -c 3 /usr/libexec/qemu-kvm -M pc -nodefaults  -cpu SandyBridge -enable-kvm -m 4G -smp 2,sockets=1,cores=2,threads=1  -name test -rtc base=localtime,clock=host,driftfix=slew  -k en-us  -boot menu=on  -vga qxl -vnc :5 -monitor stdio ...

Second:
host kernel: 3.9.9-201.fc18.x86_64
qemu-kvm-1.2.2-13.fc18.x86_64

Command line as follows:
ionice -c 3 qemu-kvm -enable-kvm -m 2048M -smp 1 -drive file=RHEL_65_64.qcow2,media=disk,cache=unsafe  -localtime -boot c -vga qxl  -display sdl -monitor stdio

Actual Results:
Only show pixel garbage before login screen, but very fast passed. the same result with “-vga std” or “-vga cirrus”.
Comment 9 Fedora Update System 2013-09-24 12:22:59 EDT
qemu-1.6.0-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/qemu-1.6.0-8.fc20
Comment 10 Fedora Update System 2013-09-25 13:54:09 EDT
qemu-1.4.2-11.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/qemu-1.4.2-11.fc19
Comment 11 Fedora Update System 2013-09-26 02:29:29 EDT
Package qemu-1.6.0-8.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing qemu-1.6.0-8.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17670/qemu-1.6.0-8.fc20
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2013-09-29 20:39:25 EDT
qemu-1.4.2-11.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2013-09-30 22:17:39 EDT
qemu-1.6.0-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.